.scene-wrapper {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    overflow: hidden;
    background: #fff;
    opacity: 1;
    transition: all .5s ease;
    z-index: 9999999;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #343a40;
}

.dark .scene-wrapper {
    background: #02283a;
}

.dark .scene-wrapper .scene-spinner {
    border-top: 5px solid #74a4fc;
}

.dark .scene-wrapper .scene-spinner:before {
    border-top-color: #74a4fc;
}
.dark .scene-wrapper .scene-spinner:after {
    border-top-color: #74a4fc;
}

.edw-logo {
    position: absolute;
    right: 25px;
    width: 200px;
    bottom: 25px;
}

.scene-text {
    max-width: 600px;
    padding: 25px;
    text-align: center;
}

.scene-title {
    margin: 8px 0 16px;
    font-size: 16px;
    line-height: 18px;
    font-weight: 700;
}

.scene-spinner {
    margin: 0 auto 30px;
    display: block;
    position: relative;
    width: 100px;
    height: 100px;
    border-radius: 50%;
    border: 5px solid transparent;
    border-top: 5px solid #343a40;
    -webkit-animation: spin 2s linear infinite;
    animation: spin 2s linear infinite;
}

.scene-spinner:before,
.scene-spinner:after {
    content: "";
    position: absolute;
    border-radius: 50%;
    border: 5px solid transparent;
}

.scene-spinner:before {
    top: 5px;
    left: 5px;
    right: 5px;
    bottom: 5px;
    border-top-color: #343a40;
    opacity: .66;
    -webkit-animation: spin 3s linear infinite;
    animation: spin 3.5s linear infinite;
}

.scene-spinner:after {
    top: 15px;
    left: 15px;
    right: 15px;
    bottom: 15px;
    border-top-color: #343a40;
    opacity: .33;
    -webkit-animation: spin 1.5s linear infinite;
    animation: spin 1.75s linear infinite;
}

@-webkit-keyframes spin {
    from {
        -moz-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    to {
        -moz-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@keyframes spin {
    from {
        -moz-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    to {
        -moz-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}